# NM_Register_Federation_Synchronization_Point Class Reference

`#include <NM_Classes.hh>`

Inheritance diagram for NM_Register_Federation_Synchronization_Point:

[legend]

List of all members.

## Public Types
typedef NM_WithHandleArray | Super
## Public Member Functions
| NM_Register_Federation_Synchronization_Point ()
virtual | ~NM_Register_Federation_Synchronization_Point ()
virtual void | serialize (MessageBuffer &msgBuffer)
| Serialize the message into a buffer.
virtual void | deserialize (MessageBuffer &msgBuffer)
| DeSerialize the message from a buffer.
void | setExist ()
void | setDoesNotExist ()
bool | doesSetExist ()
## Protected Attributes
bool | _setExist

## Detailed Description

Definition at line 402 of file NM_Classes.hh.

## Member Typedef Documentation

typedef NM_WithHandleArray Super

Reimplemented from NM_WithHandleArray.

Definition at line 404 of file NM_Classes.hh.

## Constructor & Destructor Documentation

NM_Register_Federation_Synchronization_Point | ( |  | ) |

Definition at line 714 of file NM_Classes.cc.

References NM_Register_Federation_Synchronization_Point::_setExist, NetworkMessage::name, NetworkMessage::REGISTER_FEDERATION_SYNCHRONIZATION_POINT, and NetworkMessage::type.

~NM_Register_Federation_Synchronization_Point | ( |  | ) | `[virtual]`

Definition at line 720 of file NM_Classes.cc.

## Member Function Documentation

void serialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

Serialize the message into a buffer.

Reimplemented from NM_WithHandleArray.

Definition at line 723 of file NM_Classes.cc.

References NM_Register_Federation_Synchronization_Point::_setExist, NM_WithHandleArray::serialize(), and MessageBuffer::write_bool().

Here is the call graph for this function:

void deserialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

DeSerialize the message from a buffer.

Reimplemented from NM_WithHandleArray.

Definition at line 730 of file NM_Classes.cc.

References NM_Register_Federation_Synchronization_Point::_setExist, NM_WithHandleArray::deserialize(), and MessageBuffer::read_bool().

Here is the call graph for this function:

void setExist | ( |  | ) | `[inline]`

Definition at line 410 of file NM_Classes.hh.

Referenced by FederationManagement::registerSynchronization().

void setDoesNotExist | ( |  | ) | `[inline]`

Definition at line 411 of file NM_Classes.hh.

Referenced by FederationManagement::registerSynchronization().

bool doesSetExist | ( |  | ) | `[inline]`

Definition at line 412 of file NM_Classes.hh.

Referenced by RTIG::processRegisterSynchronization().

## Member Data Documentation

bool _setExist`[protected]`

Definition at line 412 of file NM_Classes.hh.

Referenced by NM_Register_Federation_Synchronization_Point::deserialize(), NM_Register_Federation_Synchronization_Point::NM_Register_Federation_Synchronization_Point(), and NM_Register_Federation_Synchronization_Point::serialize().

The documentation for this class was generated from the following files:

- NM_Classes.hh
- NM_Classes.cc